Package org.apache.lucene.analysis.ja.dict

# Enum Class DictionaryBuilder.DictionaryFormat

java.lang.Object
java.lang.Enum<DictionaryBuilder.DictionaryFormat>
org.apache.lucene.analysis.ja.dict.DictionaryBuilder.DictionaryFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<DictionaryBuilder.DictionaryFormat>`, `Constable`

Enclosing class:
  `DictionaryBuilder`

public static enum DictionaryBuilder.DictionaryFormat extends Enum<DictionaryBuilder.DictionaryFormat>
Format of the dictionary.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IPADIC`
  IPADIC format
  `UNIDIC`
  UNIDIC format

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DictionaryBuilder.DictionaryFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DictionaryBuilder.DictionaryFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IPADIC

    public static final DictionaryBuilder.DictionaryFormat IPADIC
    IPADIC format

  - ### UNIDIC

    public static final DictionaryBuilder.DictionaryFormat UNIDIC
    UNIDIC format

- ## Method Details

  - ### values

    public static DictionaryBuilder.DictionaryFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DictionaryBuilder.DictionaryFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null